This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 11804 - Power saver failed on SVGA
Power saver failed on SVGA
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-31 14:35 EDT by tommasi
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-07 08:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tommasi 2000-05-31 14:35:11 EDT
The power saver feature doesn''t work.

XF86config contains Option "Power_saver" in the device section
I have tried to force the power saver mode using xset without any success
It works under windows.

My server : SVGA  (xrage.rpm (XFCom_Rage128) )
My video card : ati rage 128
My monitor : Sony 210ES
Comment 1 tommasi 2000-07-07 08:19:17 EDT
It seems that the driver in Suse's package for XSVGA includes dpms features.
Unofrtunately the packages is not RedHat compliant (keyboard and so on...)
I suppose there is a way to solve this if one can recompile the driver with the
good options
Comment 2 Preston Brown 2000-09-11 14:00:59 EDT
we do include DPMS support, the power_saver option isn't for all cards.  You can
either set up DPMS with the xset command, or via the BlankTime, StandbyTime, and
SuspendTime Options for XF86Config.
Comment 3 tommasi 2000-09-13 07:11:39 EDT
I didn't succeed in setting up dpms features.
The xset +dpms or xset dpms force standby     commands do nothing 
I suppose something is wrong either in my XF86Config file or in the server
itself.


I join some pieces of my config file:

Section "Device"
    Identifier  "ATI|Rage 128 RF"
    Option "power_saver"
EndSection                                                                      


Section "Screen"
    Driver      "svga"
    Device      "ATI|Rage 128 RF"
    Monitor     "Sony CPD-210GS/210EST/T9"
    BlankTime 5
    SuspendTime  15
    StandbyTime 10
    OffTime 30
    Subsection "Display"
        Depth       16
        Modes       "1152x864"
        ViewPort    0 0
    EndSubsection
EndSection

Note You need to log in before you can comment on or make changes to this bug.